package com.kob.backend.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author zfp
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Bot {

 // pojo中对应数据库表中的变量要使用驼峰命名法，不能照抄
 @TableId(type = IdType.AUTO)
 private Integer id;
 private Integer userId;
 private String title;
 private String description;
 private String content;
 @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "Asia/Shanghai")
 private Date createTime;
 @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "Asia/Shanghai")
 private Date modifyTime;
}
