package com.kob.backend.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;



/**
 * @author zfp
 */
@Data
@NoArgsConstructor
@AllArgsConstructor

// 该类的一个对象相当于User表中的一行数据

public class User {

    // 该注解用于用户id自增
    @TableId(type = IdType.AUTO)
    private Integer id;
    private String username;
    private String password;
    private String photo;
    private Integer rating;
    private String openid;
}
