package com.kob.matchingsystem.service.impl;

import com.kob.matchingsystem.service.MatchingService;
import com.kob.matchingsystem.service.impl.utils.MatchingPool;
import org.springframework.stereotype.Service;

@Service
public class MatchingServiceImpl implements MatchingService {

    public static final MatchingPool matchingPool = new MatchingPool();

    @Override
    public String addPlayer(Integer userId, Integer rating,Integer botId) {
        System.out.println("<add user> user id: " + userId +  ", rating: " + rating + " bot_id: " + botId);
        matchingPool.addPlayer(userId,rating,botId);
        return "add user success";
    }

    @Override
    public String removePlayer(Integer userId) {
        System.out.println("<remove user> user id: " + userId);
        matchingPool.removePlayer(userId);
        return "remove user success";
    }
}
